# Transactions Object

> Source: https://truto.one/docs/api-reference/unified-accounting-api/transactions/

Schema for the `Transactions` resource in **Unified Accounting API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for transactions
- **`number`** _(string)_
  The number of the transaction
- **`transaction_type`** _(string)_
  The type of the transaction
  Allowed: `refund`, `deposit`, `estimate`, `transfer`, `credit_card`, `spend`, `receive`, `receive_overpayment`, `receive_prepayment`, `spend_overpayment`, `spend_prepayment`
- **`transaction_date`** _(string)_
  The date upon which the transaction occurred
- **`account`** _(string)_
  The account which receives the transaction
- **`account_from`** _(string)_
  The account which initiates the transaction
- **`contact`** _(string)_
  The contact to whom the transaction relates to
- **`total_amount`** _(string)_
  The total amount of the transaction
- **`currency`** _(string)_
  The currency of the transaction
- **`exchange_rate`** _(string)_
  The exchange rate of the transaction
- **`company`** _(string)_
  The company the transaction belongs to
- **`line_items`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier for line item
  - **`name`** _(string)_
    The name of the line item
  - **`description`** _(string)_
    The description of the line item
  - **`item`** _(string)_
    The ID of the item
  - **`account`** _(string)_
    The ID of the account
  - **`quantity`** _(number)_
    The quantity of the line item
  - **`unit_price`** _(number)_
    The unit price of the line item
  - **`tax_rate`** _(string)_
    The ID of the tax rate
  - **`total_line_amount`** _(number)_
    The total line amount of the line item.
  - **`type`** _(string)_
    The type of the line item
  - **`tracking_categories`** _(array<object>)_
    Tracking categories of the line item
    - **`id`** _(string)_
      The ID of the tracking category
    - **`name`** _(string)_
      The name of the tracking category
    - **`option`** _(string)_
      The option of the tracking category
  - **`currency`** _(string)_
    The currency of the line item
  - **`exchange_rate`** _(number)_
    The exchange rate of the currency for the line item
- **`tracking_categories`** _(array<object>)_
  Tracking categories of the transaction
  - **`id`** _(string, required)_
    The unique identifier for tracking categories
  - **`name`** _(string)_
    The name of the tracking category
- **`created_at`** _(string)_
  This represents the date when the transaction was created
- **`updated_at`** _(string)_
  This represents the date when the transaction was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/accounting/transactions](/docs/api-reference/unified-accounting-api/transactions/list) — List Transactions
- [POST /unified/accounting/transactions](/docs/api-reference/unified-accounting-api/transactions/create) — Create Transactions
- [GET /unified/accounting/transactions/{id}](/docs/api-reference/unified-accounting-api/transactions/get) — Get Transactions
- [PATCH /unified/accounting/transactions/{id}](/docs/api-reference/unified-accounting-api/transactions/update) — Update Transactions
- [DELETE /unified/accounting/transactions/{id}](/docs/api-reference/unified-accounting-api/transactions/delete) — Delete Transactions
